/***************************************************************************
 *   Copyright (C) 2004 by Adam Skowronski                                 *
 *   tytus@oldfield.org.pl                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef EPAST_H
#define EPAST_H

#include <eindiv.h>

/**
This class stores information about passed event. This event is very simillar to 
individual event and only difference is that it stores information about time to life 
of event

@author Adam Skowronski
*/
class CalendarEventPast : public CalendarEvent
{
public:
    CalendarEventPast();

    ~CalendarEventPast();
    CalendarEventPast(QDate date, QString text, int ttl);
	
	int timeToLife; /**< how many days after date of event should event be remembered */
};

#endif
